Modify

Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#2155 closed Bugs (fixed)

Quickbook asserts for windows newlines.

Reported by: Daniel James Owned by: Joel de Guzman
Milestone: Boost 1.37.0 Component: quickbook
Version: Boost 1.35.0 Severity: Showstopper
Keywords: Cc:

Description

When I run a debug build of quickbook with the attached file, I get this error:

Generating Output File: tutorial.xml quickbook: detail/collector.cpp:46: quickbook::collector::~collector(): Assertion `streams.empty()' failed. zsh: abort tutorial.qbk

This is processing a windows file (ie. CRLF newlines) on linux. I'm assuming that this is caused by the windows newlines because there are no problems with unix style LF newlines.

Attachments (2)

tutorial.qbk (28.4 KB) - added by Daniel James 9 years ago.
simpler.qbk (1.1 KB) - added by Eric Niebler 9 years ago.
a simpler qbk file that exhibits the problem

Download all attachments as: .zip

Change History (4)

Changed 9 years ago by Daniel James

Attachment: tutorial.qbk added

Changed 9 years ago by Eric Niebler

Attachment: simpler.qbk added

a simpler qbk file that exhibits the problem

comment:1 Changed 9 years ago by Daniel James

Resolution: fixed
Status: newclosed

(In [49231]) Work around the problems with window newlines in position_iterator. (I'm about to fix them, but this will get quickbook working immediately).

Fixes #2155

comment:2 Changed 9 years ago by Daniel James

(In [49242]) Merge quickbook workaround and fix some links.

Merged revisions 48987,49230-49231 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r48987 | danieljames | 2008-09-28 13:21:39 +0100 (Sun, 28 Sep 2008) | 1 line

Clean up some link errors.

........

r49230 | danieljames | 2008-10-09 23:13:48 +0100 (Thu, 09 Oct 2008) | 1 line

position_iterator is meant to be a forward iterator, so avoid using operator+ with it.

........

r49231 | danieljames | 2008-10-09 23:14:14 +0100 (Thu, 09 Oct 2008) | 4 lines

Work around the problems with window newlines in position_iterator. (I'm about to fix them, but this will get quickbook working immediately).

Fixes #2155

........

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Joel de Guzman.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.